Package ec.util

# Class DecodeReturn

java.lang.Object
ec.util.DecodeReturn

public class DecodeReturn extends Object
DecodeReturn is used by Code to provide varied information returned when decoding. You start the decoding process by initializing the DecodeReturn on a string you want to decode items out of. Then you repeatedly pass the DecodeReturn to Code.decode(...), and each time the DecodeReturn will contain information about the next token, namely, its type, the data of the token (depending on type, this can be in one of three slots, d, l, or s), and the start position for reading the next token.

In case of an error, type is set to DecodeReturn.T_ERROR, pos is kept at the token where the error occured, and s is set to an error message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `double`
  `d`
  Stores floats, doubles
  `String`
  `data`
  The DecodeReturn string that's read from.
  `long`
  `l`
  Stores booleans (0=false), bytes, chars, shorts, ints, longs
  `int`
  `lineNumber`
  The Line number, if it has been posted.
  `int`
  `pos`
  The DecodeReturn new position in the string.
  `String`
  `s`
  Stores strings, error messages
  `static final byte`
  `T_BOOLEAN`
  `static final byte`
  `T_BYTE`
  `static final byte`
  `T_CHAR`
  `static final byte`
  `T_CHARACTER`
  Same as T_CHAR
  `static final byte`
  `T_DOUBLE`
  `static final byte`
  `T_ERROR`
  The actual error is stored in the String slot
  `static final byte`
  `T_FLOAT`
  `static final byte`
  `T_INT`
  `static final byte`
  `T_INTEGER`
  Same as T_INT
  `static final byte`
  `T_LONG`
  `static final byte`
  `T_SHORT`
  `static final byte`
  `T_STRING`
  `byte`
  `type`
  The DecodeReturn type

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecodeReturn(String _data)`
  Use this to make a new DecodeReturn starting at position 0
  `DecodeReturn(String _data, int _pos)`
  Use this to make a new DecodeReturn starting at some position

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DecodeReturn`
  `reset(String _data)`
  Use this to reuse your DecodeReturn for another string
  `DecodeReturn`
  `reset(String _data, int _pos)`
  Use this to reuse your DecodeReturn for another string
  `DecodeReturn`
  `scanAt(int _pos)`
  Sets the DecodeReturn to begin scanning at _pos, which should be valid.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### T_ERROR

    public static final byte T_ERROR
    The actual error is stored in the String slot
    See Also:
      - Constant Field Values

  - ### T_BOOLEAN

    public static final byte T_BOOLEAN
    See Also:
      - Constant Field Values

  - ### T_BYTE

    public static final byte T_BYTE
    See Also:
      - Constant Field Values

  - ### T_CHAR

    public static final byte T_CHAR
    See Also:
      - Constant Field Values

  - ### T_CHARACTER

    public static final byte T_CHARACTER
    Same as T_CHAR
    See Also:
      - Constant Field Values

  - ### T_SHORT

    public static final byte T_SHORT
    See Also:
      - Constant Field Values

  - ### T_INT

    public static final byte T_INT
    See Also:
      - Constant Field Values

  - ### T_INTEGER

    public static final byte T_INTEGER
    Same as T_INT
    See Also:
      - Constant Field Values

  - ### T_LONG

    public static final byte T_LONG
    See Also:
      - Constant Field Values

  - ### T_FLOAT

    public static final byte T_FLOAT
    See Also:
      - Constant Field Values

  - ### T_DOUBLE

    public static final byte T_DOUBLE
    See Also:
      - Constant Field Values

  - ### T_STRING

    public static final byte T_STRING
    See Also:
      - Constant Field Values

  - ### lineNumber

    public int lineNumber
    The Line number, if it has been posted.

  - ### type

    public byte type
    The DecodeReturn type

  - ### data

    public String data
    The DecodeReturn string that's read from.

  - ### pos

    public int pos
    The DecodeReturn new position in the string. Set this yourself. New values get set here automatically.

  - ### l

    public long l
    Stores booleans (0=false), bytes, chars, shorts, ints, longs

  - ### d

    public double d
    Stores floats, doubles

  - ### s

    public String s
    Stores strings, error messages

- ## Constructor Details

  - ### DecodeReturn

    public DecodeReturn(String _data)
    Use this to make a new DecodeReturn starting at position 0

  - ### DecodeReturn

    public DecodeReturn(String _data, int _pos)
    Use this to make a new DecodeReturn starting at some position

- ## Method Details

  - ### scanAt

    public DecodeReturn scanAt(int _pos)
    Sets the DecodeReturn to begin scanning at _pos, which should be valid.

  - ### reset

    public DecodeReturn reset(String _data)
    Use this to reuse your DecodeReturn for another string

  - ### reset

    public DecodeReturn reset(String _data, int _pos)
    Use this to reuse your DecodeReturn for another string